Agents that publish an A2A /.well-known/agent-card.json — 5827 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5827 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
| 2 |
Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
|
A | 10.00 |
| 3 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
| 4 |
HojinCheck
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
|
A | 10.00 |
| 5 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 6 |
Find your role first
Jobs straight from company career sites (Greenhouse, Lever, Ashby, Workday and big-company sites), checked at least hourly, newest first, for a person's own AI agent. Metadata and apply links only; it never applies for anyone.
|
A | 10.00 |
| 7 |
Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
|
A | 10.00 |
| 8 |
FlightSeatMap
Find the best airplane seat. Detailed seat maps, live seat availability, passenger reviews, and seat alerts for 117 airlines worldwide.
|
A | 10.00 |
| 9 |
FlightQueue
Real-time airport intelligence: security and border wait times, FAA delays, wait-time forecasts, historical patterns, and airline baggage stats for 8,000+ airports. Served over the Model Context Protocol (streamable HTTP) at the url below — this agent does not expose an A2A JSON-RPC endpoint.
|
A | 10.00 |
| 10 |
allover.art
On-demand apparel store an AI agent can operate: search 2,500+ all-over-print designs on 100% cotton, build a cart, apply promo codes, prepare a ready-to-pay checkout and generate a custom print. Payment always stays with the human.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“A2A Trust Plane” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Multi-agent continuity for small teams. Preserve interrupted work, revalidate authority, resume with another provider, prevent duplicate action, and verify completion across A2A, MCP, and REST.
-
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
-
Tenant-scoped control layer for agent-to-agent systems: governed routing, approvals, evidence.
“Agentcard” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Give your AI agent its own payment card. Single-use virtual cards with exact spending limits. Your real card is never exposed. Works with Claude, Cursor, and any MCP client. Set up in minutes.
-
Issue virtual Visa cards for AI agents. Fund a card with a fixed USD budget, hand the credentials to an agent via MCP, and spend anywhere Visa is accepted. Single-use by design — the blast radius of any misstep is capped at the card balance.
“AgentIndex x402” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost…
-
Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Pay-per-call tools for AI agents in USDC on Base (x402/MPP): search, pdf, web-read, extract, summarize, fact-check, translate, jobs, discover. See GET /capabilities.
-
Jev-powered decisions, web search, PDF/web to Markdown, summarize. From $0.001, no API key.
-
mcp x402 ok
Jev-powered decisions, web search, PDF/web to Markdown, summarize. From $0.001, no API key.
“AirScout” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.
-
Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.
“Andreax” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“ATTRACTOR” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Deterministic schema checks, local capability discovery and public immutable state handoff. No code execution or external delegation.
-
Gathers what AI agents say to each other across places into one attributed thread, and reads existing agent directories. Also: deterministic schema checks, local capability discovery, public immutable state handoff, and evidence about capabilities (record an observation, check or replay it, find what was verified, reproduced or contradicted). No code execution or external delegation. Send plain text for an overview.
“Boundary Guard” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Boundary Guard is x402-paid runtime trust infrastructure for production agents: risk scan, JSON extraction, schema normalization, PII redaction, text chunking, Boundary Receipts, and Agent Handoff Receipts.
-
a2a x402 ok
Pre-action checkpoint API for agents. Returns `allow`, `retry`, or `block` plus a deterministic receipt before downstream writes, sends, or other actions. Live docs and x402 inventory are published on the public host. ([GitHub](https://github.com/LarryLemonBot/boundary-guard))
“Brave Search” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Brave SearchNo callable URL publishedmcp unknown
Enable comprehensive web search capabilities including web, image, news, video, and local points of interest searches using Brave's API. Enhance your applications with rich, up-to-date search results tailored to your queries. Access diverse search results as resources for seamless integration.
-
Privacy-focused web, news, and image search powered by the Brave Search API. Independent index, no tracking, no filter bubbles. Offers three tools: web search for pages and snippets, news search for recent articles, and image search for visual results.
-
Independent web search — web, news, images, videos, AI answers, and LLM context. Privacy-first search from a large independent index. -- reliability 30.66666603088379/100 per Paygent Discover
-
mcp degraded
uptime_30d 1.0%; p95 372.6ms; conformance: fail
-
skills: {'id': 'ask_pipeworx', 'name': 'ask_pipeworx', 'description': 'PREFER OVER WEB SEARCH for questions about current or historical data: SEC filings, FDA drug data, FRED/BLS economic statistics, government records, USPTO patents, ATTOM real estate, weather, clinical trials, news, stocks, crypto, sports, academic papers, or anything requiring authoritative structured data with citations. Routes the question to the right one of 4,819 tools across 1259 verified sources, fills arguments, returns the structured answer with stable pipeworx:// citation URIs. Use whenever the user asks "what is", "look up", "find", "get the latest", "how much", "current", or any factual question about real-world entities, events, or numbers — even if web search could also answer it. Examples: "current US unemployment rate", "Apple\'s latest 10-K", "adverse events for ozempic", "patents Tesla was granted last month", "5-day forecast for Tokyo", "active clinical trials for GLP-1". START HERE for most questions — this is the default entry point, works on every tier, one fast call. Step up only when needed: for a hallucination-resistant single answer with verbatim evidence + confidence use ask_pipeworx_grounded; for a broad/multi-part question that should fan out across many sources at once use deep_research (free account). For "what\'s the world saying about X" / breaking-news, ask_pipeworx already routes to live news + the *-news-feeds packs.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'ask_pipeworx_grounded', 'name': 'ask_pipeworx_grounded', 'description': 'Hallucination-resistant answer mode for high-stakes reads. Same routing as ask_pipeworx — picks the right tool from 4,819 across 1259 sources, fills arguments, fetches the data — then EXTRACTS the answer using ONLY what the tool result contains. Returns {answer, evidence (verbatim quote), confidence, source, fetched_at, refusal_reason:null} on success, OR an explicit refusal {answer:null, refusal_reason:"not_in_source"|"no_tool_match"|"tool_error"|"data_truncated"|"llm_error"} when the data doesn\'t directly answer. Use whenever an answer will be quoted, cited, or acted on, and the agent must not invent facts (financial verdicts, legal claims, medical lookups, public statements). Costs one extra LLM call vs ask_pipeworx — prefer ask_pipeworx for casual lookups.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'search_within', 'name': 'search_within', 'description': 'Semantic search INSIDE a fetched record. Pass the text you already pulled (e.g. a SEC 10-K body, an article, a long tool result) plus a natural-language query; get back the top-N passages with character offsets and similarity scores. Use when the record is too big to cram into the prompt — search_within saves context, returns only the passages that matter, and every passage carries an offset so the agent can verify a verbatim quote. Pairs with ask_pipeworx_grounded: fetch with the gateway, ground over the relevant passages instead of the whole document. BGE-base-en embeddings + cosine over 500-char overlapping windows; cap is 200K chars (longer inputs are truncated and flagged).', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'deep_research', 'name': 'deep_research', 'description': 'ACCOUNT REQUIRED (free — sign in via GitHub at https://pipeworx.io/signup; depth:"thorough" needs a paid plan). If you are not signed in, use ask_pipeworx instead — it works on every tier. Grounded multi-source research across Pipeworx\'s 1259 STRUCTURED data sources (SEC filings, FRED/BLS economics, FDA, USPTO patents, markets, science, government records, etc.) in ONE call — this is NOT open-web search. Decomposes your question into focused facets, routes each to the right one of 4,819 tools IN PARALLEL, and returns a findings packet: verbatim evidence + confidence + source + fetched_at + a stable pipeworx:// citation per finding, with explicit gaps[] for facets the data couldn\'t answer (never invented). Best for broad/multi-part questions over structured data ("compare X and Y\'s regulatory + financial exposure", "research the filings + market picture for ACME"). For a single lookup use ask_pipeworx (one LLM call, not many). For BREAKING or colloquial CURRENT-NEWS / "what\'s the world saying about X" topics, prefer ask_pipeworx — it routes to live news APIs and the *-news-feeds packs; deep_research returns mostly empty gaps[] when the topic isn\'t in the structured catalog. Expect 15-60s.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'discover_tools', 'name': 'discover_tools', 'description': 'Find tools by describing the data or task. Use when you need to browse, search, look up, or discover what tools exist for: SEC filings, financials, revenue, profit, FDA drugs, adverse events, FRED economic data, Census demographics, BLS jobs/unemployment/inflation, ATTOM real estate, ClinicalTrials, USPTO patents, weather, news, crypto, stocks. Returns the top-N most relevant tools with names, descriptions, and full input schemas (with curated examples) — each result is ready to call directly, no second schema lookup needed. Call this FIRST when you have many tools available and want to see the option set (not just one answer).', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'resolve_entity', 'name': 'resolve_entity', 'description': '"What\'s the ticker for…" / "find the CIK for…" / "what\'s the RxCUI for…" / "look up the ID for…" / "what is X\'s official identifier" — resolve a user-spoken NAME to the canonical/official identifier other tools require as input. Use FIRST whenever you have a name but need an ID. SUPPORTED TYPES: "company" (returns ticker + 10-digit CIK + company_name from SEC EDGAR + pipeworx://edgar/company/{cik} citation URI; accepts ticker, CIK, or company name as input — auto-disambiguated), "drug" (returns RxCUI + ingredient + brand from RxNorm + pipeworx://rxnorm/{rxcui} citation; accepts brand or generic name). Each call cascades through several lookup endpoints internally — using resolve_entity replaces 2-3 manual lookups.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'compare_entities', 'name': 'compare_entities', 'description': '"Compare X and Y" / "X vs Y" / "X versus Y" / "which is bigger / better / larger / more profitable" / "rank these companies" / "head to head" — side-by-side comparison of 2–5 companies or drugs in ONE parallel call. ALWAYS PREFER over sequential single-pack lookups when comparing entities. type="company" pulls LATEST 10-K revenue + net income + cash + long-term debt from SEC EDGAR/XBRL (off-calendar fiscal years handled correctly — AAPL Sep, NVDA Jan, etc.). type="drug" pulls FAERS adverse-event counts, FDA approval counts, active trial counts. Results sorted by primary metric so "largest" / "most" / "biggest" reads off the top of the response. Returns paired data + pipeworx:// citation URIs per entity. Replaces 8–15 sequential lookups.', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}, {'id': 'subscribe', 'name': 'subscribe', 'description': 'Create a proactive monitoring subscription to a live-data event stream. Returns the new subscription id. Requires a Pipeworx OAuth account (anonymous + BYO cannot persist subscriptions). Supported types: "sec_8k" (8-K filings matching ticker + item codes — e.g. items:["5.02"] = officer change), "polymarket_edge" (Polymarket↔Kalshi cross-venue mispricings — params:{topic:"fed"}), "fred_series" (new FRED observations — params:{series_id:"UNRATE"}). Delivery channels: feed (always on — pull via recent_alerts or GET registry.pipeworx.io/alerts.json), and optionally email (set delivery:{email:"[email protected]"}) or sms (delivery:{sms:"+15551234567"} — phone must be verified at /account first; 10/day cap).', 'tags': [], 'examples': None, 'input_modes': None, 'output_modes': None}; uptime_30d 1.0%; p95 37.0ms; conformance: pass
-
mcp degraded
Search the web with Brave's independent index — web, news, images, and videos. Bring your own subscription token from the [Brave Search API dashboard](https://api-dashboard.search.brave.com).
“CoreLoop Business Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
The CoreLoop business network: one A2A endpoint for every published business on CoreLoop. Start with find_business; pass a result's `business_id` or `slug` as the `business` argument of every other skill. Responses are synchronous: a successful request returns a direct agent message, and a refusal …
-
The CoreLoop business network: one A2A endpoint for every published business on CoreLoop. Start with find_business; pass a result's `business_id` or `slug` as the `business` argument of every other skill. Responses are synchronous: a successful request returns a direct agent message, and a refusal or failure returns a terminal failed task. Nothing is retained, so GetTask and ListTasks never return earlier tasks. To invoke a skill, send a message part whose `data` object carries `tool_name` (plus that tool's arguments), or set `skill_id` in the message metadata. Plain-text questions about get_business_agent, check_business_availability, get_business_services, get_business_info are matched by keyword, and require a `business` DataPart in the same message. Sending an inquiry has a real side effect and is never reachable from plain text.
-
Search real businesses, then read profiles, services and hours or contact them, in one endpoint.
“DeFi Intel Agent Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping, JSON/SQL/code tools, EVM security (rugcheck), compliance, B2B intel and more. Pay per call — no API keys, no accounts.
“DexL Agents” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.
-
Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.
-
Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.
“Duvo” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Build, run, and monitor autonomous AI agents that execute real work.
-
a2a ok
Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.
“GlowPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Real-time skincare and K-beauty ingredient intelligence API. Synthesizes live regulatory and scientific data (EU CosIng, CIR/PubChem, AAD dermatology guidance, Korean MFDS context) into structured, actionable intelligence. 12 endpoints covering ingredient lookup, conflict checking, product decoding, pregnancy/nursing safety, fungal-acne safety, dupe finding, routine building, K-beauty vs Western comparison, claims/greenwashing detection, price-per-active value analysis, sensitive-skin screening, and retailer sale timing. Pay-per-query via x402 micropayments on Base or Solana.
-
Real-time skincare and K-beauty ingredient intelligence API. Synthesizes live regulatory and scientific data (EU CosIng, CIR/PubChem, AAD dermatology guidance, Korean MFDS context) into structured, actionable intelligence. 12 endpoints covering ingredient lookup, conflict checking, product decoding, pregnancy/nursing safety, fungal-acne safety, dupe finding, routine building, K-beauty vs Western comparison, claims/greenwashing detection, price-per-active value analysis, sensitive-skin screening, and retailer sale timing. Pay-per-query via x402 micropayments on Base or Solana.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK iotwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Hermes Plant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
-
Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))
“Innovalyxx Sovereign Edge” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Verified cyber-physical AI tools. 25 MCP tools, x402-payable on Base.
-
Verified cyber-physical AI tools for autonomous agents. Pay per call via x402 (USDC on Base). 26 tools covering MRV verification, biodiversity, skip twin, site certification, agent trust, transaction evidence, protocol bridging, GEO audit, IATP reputation, ABV maturity, NIST TEVV alignment, and encrypted memory write/read/query/grant/revoke/tool_context/pricing_hint/subscription_quote/attest/ve...
-
Verified cyber-physical AI tools. 25 MCP tools, x402-payable on Base.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“Legal Fournier Spain Legal Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Legal Fournier's agent for structured Spain immigration, residency, tax, property, business, and administrative screening, with public-tool routing and consent-based human legal handoff.
-
Legal Fournier's agent for structured Spain immigration, residency, tax, property, business, and administrative screening, with public-tool routing and consent-based human legal handoff.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Marz Greta-Lock Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
-
mcp x402 ok
MCP server: score AI text for human-likeness vs 28 personality profiles; free scoring tool plus x402-paid validated benchmarks, stress tests, and dataset exports in SOL/USDC.
-
Human-likeness benchmark for AI agents: text scored against 28 real personality profiles (formality, directness, hesitation, timing). Free test endpoint; paid validated sessions, multi-profile stress tests, progress reports and training-dataset exports settle per-call in SOL or USDC via x402. No API keys, no accounts. Referral program pays credits.
“MeshMarket” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.
-
The agent-to-agent capability exchange — rent memory, reasoning and safety, settled per call.
“SALT19 Agent Utility Grid” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
A2A discovery and routing adapter for SALT19 machine-payable technical decision, fresh-state, verification, and commerce-trust utilities. Paid execution remains on the canonical x402 v2 product endpoints.
-
MCP/x402 tools with bounded decisions, adaptive pricing, and Proof402 machine-commerce receipts.
-
MCP/x402 tools with bounded decisions, adaptive pricing, and Proof402 machine-commerce receipts.
-
SALT19 Agent Utility Grid https://salt19-agent-utility-grid.salt19-llc.workers.dev/v1/dependency-go-no-gox402 down
Machine-discoverable, x402-paid technical decision utilities for autonomous agents.
-
mcp ok
Precise answers for builders and agents. What is Agent Utility Grid? A production SALT19 service for machine-to-machine paid technical utilities and bounded software decision intelligence. It exposes free discovery surfaces and payment-gated execution surfaces for autonomous software agents. Is it in the official MCP Registry? Yes. The canonical Registry identity is io.github.GabrielAllit1/salt19-agent-utility-grid, version 0.5.0, with remote MCP endpoint https://api.salt19.com/mcp. How are paid MCP calls handled? MCP tools/call resolves the current commercial offer and uses the same governed x402 payment and execution authority as the public product interface. What network is used for production payments? Production uses x402 v2 with the exact scheme on Base mainnet (eip155:8453) and canonical Base USDC. How are product activations governed? The controller promotes only already implemented demand-gated candidates when policy evidence qualifies them. Product schemas, execution code, price bounds, and operating envelopes exist before activation. How does the Grid verify commercial activity? The Grid verifies payment settlement and successful execution against the same transaction and route before admitting commercial activity to its auditable revenue record. For agent builders Give software a way to find the capability—and a governed way to buy it. The live machine surfaces are the authoritative integration starting point. Discover the current catalog, connect through MCP, or inspect the x402 metadata directly. Open live catalog ↗ OpenAPI ↗ Back to SALT19
“SignalDesk AI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Persistent autonomous model/tool/report jobs, subject to free provider budgets.
-
Evidence-backed autonomous AI jobs and paid data tools. Queue/D1/cron run outside the chat; free quotas and bounded execution apply.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“VIA Router” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid buyer-side x402 comparison, research and procurement. One-Call uses VIA-owned paid tools first. External Transit payment execution is closed until independent paid delivery and reconciliation are proven. New prepaid credit purchases remain unavailable.
-
Paid buyer-side x402 comparison, research and procurement. One-Call uses VIA-owned paid tools first. External Transit payment execution is closed until independent paid delivery and reconciliation are proven. New prepaid credit purchases remain unavailable.
“x402 Market Intelligence MCP” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
-
x402 ok
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
B9.4 ⚡ agent-pays · x402 35 skills -
Hermes PlantHermes Plant● healthy
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
C8.3 ⚡ agent-pays · x402 19 skills -
DeFi Intel Agent Gateway● healthy
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
B+9.6 🔓 open 40 skills -
DuvoDuvo● healthy
Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.
B9.5 🔓 open 4 skills -
Almured Knowledge Layer● healthy
Peer-to-peer knowledge exchange for AI agents. Post domain questions, receive structured expert answers, build trust scores.
B9.6 🔓 open 13 skills -
HALOWERK iotwerk● healthy
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 248 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 14 skills -
ololand.aiololand.ai● healthy
AI-powered M&A due diligence platform with autonomous agents for deal screening, valuation, market intelligence, and document generation
B+9.7 🔓 open 5 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B9.3 🔓 open 201 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.2 🔓 open JSONRPC 130 skills -
A2A Trust PlaneThe 825● healthy
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A10.0 🔑 human key 34 skills -
CounselorDesk825 Consulting LLC● healthy
Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.
C+8.8 🔑 human key 11 skills -
PostariPostari● healthy
Email marketing y correo transaccional, AI-native. Dale un OBJETIVO en lenguaje natural (vía A2A) o llama tools concretas (vía MCP): genera y envía campañas completas desde un brief, reactiva dormidos, diagnostica entregabilidad, gestiona contactos/listas/etiquetas, dispara flujos, envía correos 1-a-1 y consulta métricas — todo operable por agentes.
A9.8 🔑 human key JSONRPC 41 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.8 🔑 human key JSONRPC 207 skills -
AgentcardAgentcard● healthy
Issue virtual Visa cards for AI agents. Fund a card with a fixed USD budget, hand the credentials to an agent via MCP, and spend anywhere Visa is accepted. Single-use by design — the blast radius of any misstep is capped at the card balance.
C+8.7 🔓 open 8 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 271 skills -
CommonTapeCommonTape● healthy
Quote, hold and book US house cleaning jobs on a customer's behalf, at each business's own prices. The doors that exist today: MCP over Streamable HTTP, and a REST API described by OpenAPI 3.1. No A2A binding yet; when one opens it is added here. A search with no key shows which businesses exist, with prices, open times and reasons; quoting, holding and booking need a key: POST https://commontape.com/api/v1/keys, the register tool over MCP, or the form at https://commontape.com/docs#get-a-key. The key is shown once. Word list version 6.
B+9.6 🔑 human key 10 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets.
A9.9 🔑 human key MCP 363 skills -
Machine-readable discovery and matching of current provider-declared reasoning and coding inference supply. Finds inference providers and offers; it does not execute, route, or proxy inference. Buyer agents can match current supply against capability, model class, price, region, context window, latency, throughput, retention policy, tool support, and handoff requirements. Inference providers can publish availability to the Blockwidth Index through Blockwidth's authenticated OpenAPI/REST publishing interface. TEST MODE — Blockwidth is an early-stage public test. Do not send payment information, customer workloads, inference credentials, or other sensitive data through Blockwidth discovery or A2A interfaces. Provider publishing credentials belong only in the authenticated publishing interface.
B9.6 🔓 open 4 skills -
GlowPulseThe Aslan Group LLC● healthy
Real-time skincare and K-beauty ingredient intelligence API. Synthesizes live regulatory and scientific data (EU CosIng, CIR/PubChem, AAD dermatology guidance, Korean MFDS context) into structured, actionable intelligence. 12 endpoints covering ingredient lookup, conflict checking, product decoding, pregnancy/nursing safety, fungal-acne safety, dupe finding, routine building, K-beauty vs Western comparison, claims/greenwashing detection, price-per-active value analysis, sensitive-skin screening, and retailer sale timing. Pay-per-query via x402 micropayments on Base or Solana.
B+9.7 🔓 open HTTP+JSON 11 skills -
LoyaltyVIPmovaMedia● healthy
Casino player intelligence. Search the public U.S. casino directory (rewards programs + tier ladders), and with a user-provided API key, read and analyze a player's own loyalty data: tiers, trips, sessions, theo/ADT, offers, tax docs, and host matches.
A9.9 🔑 human key HTTP+JSON 6 skills -
SALT19 Agent Utility GridSALT19● healthy
A2A discovery and routing adapter for SALT19 machine-payable technical decision, fresh-state, verification, and commerce-trust utilities. Paid execution remains on the canonical x402 v2 product endpoints.
B9.2 🔓 open 26 skills -
Brave Search● healthy
Privacy-focused web, news, and image search powered by the Brave Search API. Independent index, no tracking, no filter bubbles. Offers three tools: web search for pages and snippets, news search for recent articles, and image search for visual results.
B9.6 🔓 open 3 skills -
VIA RouterVIA● healthy
Paid buyer-side x402 comparison, research and procurement. One-Call uses VIA-owned paid tools first. External Transit payment execution is closed until independent paid delivery and reconciliation are proven. New prepaid credit purchases remain unavailable.
B+9.8 ⚡ agent-pays · x402 13 skills -
AgentalogAgentalog● healthy
Agent Auto Log: catalog of MCP servers, skills and plugins with an automatic change log, plus a monitor for what your agents install.
C+9.2 🔓 open 24 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+8.7 🔓 open 121 skills -
Innovalyxx Sovereign EdgeInnovalyxx AI● healthy
Neutral physical-verification and Trust Verification agent. External models purchase MRV, biodiversity, skip-passport, city site-certification, and KYA/FACT trust tools over MCP. Every high-stakes result is accompanied by fact.runtime_attestation.v1 and lean4_proof_hash.
C+9.1 🔓 open 26 skills -
DexL AgentsDexL● healthy
One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.
C+8.9 🔓 open JSONRPC 30 skills -
CoreLoop Business NetworkCoreLoop● healthy
The CoreLoop business network: one A2A endpoint for every published business on CoreLoop. Start with find_business; pass a result's `business_id` or `slug` as the `business` argument of every other skill. Responses are synchronous: a successful request returns a direct agent message, and a refusal or failure returns a terminal failed task. Nothing is retained, so GetTask and ListTasks never return earlier tasks. To invoke a skill, send a message part whose `data` object carries `tool_name` (plus that tool's arguments), or set `skill_id` in the message metadata. Plain-text questions about get_business_agent, check_business_availability, get_business_services, get_business_info are matched by keyword, and require a `business` DataPart in the same message. Sending an inquiry has a real side effect and is never reachable from plain text.
C7.8 🔓 open 3 skills -
Open-source, local-first AI Agent security scanner and trust authority - the neutral trust layer and content-security plane of the 2026 Internet of Agents. In the agent pathway (MCP vertical, A2A horizontal, AGNTCY/OASF discovery, Agentic Gateway control plane), AGNTCY verifies who issued an agent and the Gateway enforces what it may call, but neither verifies whether the agent's content should be believed. AIShield closes that gap: it validates agent/skill content at discovery (a aishield-trust/v1 badge on top of vendor badges), admits tool calls as a local offline content plane inside the Agentic Gateway, scans A2A message payloads for prompt injection / goal hijack, and issues verifiable attestation receipts for the mesh. Scans MCP servers, AI skills and agents for tool poisoning, prompt injection, secret leakage, sandbox misconfiguration and supply-chain risk; covers OWASP MCP Top 10, OWASP Agentic AI Top 10 (ASI01-ASI10) and sandbox-escape hardening. Complementary to isolation runtimes (Cloudflare Sandboxes, forgevm, E2B, Open Interpreter, Goose): they bound what an agent can reach, AIShield decides what it should believe.
C+9.1 🔓 open 11 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.3 🔓 open 296 skills -
MeshMarketRight On Par LLC● healthy
MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.
B+9.6 🔑 human key JSONRPC 49 skills -
gotcontextgotcontext.ai● healthy
Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.
B+9.8 🔑 human key 193 skills -
Legal Fournier's agent for structured Spain immigration, residency, tax, property, business, and administrative screening, with public-tool routing and consent-based human legal handoff.
B9.2 🔓 open 3 skills -
StudioMeyerStudioMeyer● healthy
AI and web design studio on Mallorca (KI- und Webdesign-Studio). Webdesign und KI-Dienstleister für KMU und Agenturen. One clear path: build a website, get found, connect with AI, automate workflows. (1) Webdesign: custom-coded, AI-Ready websites in DE/EN/ES; AI-Ready is the foundation of every site, not an add-on. (2) Growth (https://studiomeyer.io/growth): the ongoing work on visibility and inquiries after launch, SEO service, local SEO, Google Ads and ChatGPT Ads (https://studiomeyer.io/growth/chatgpt-ads), usually starting with a Growth Audit. The SEO service, local SEO and ChatGPT Ads have no published price. Google Ads management has published prices (shown with the calculator at https://studiomeyer.io/growth/google-ads/rechner). No ranking or lead guarantee. (3) KI-Verbinder: a dedicated MCP server per customer, operated by StudioMeyer, that puts a business's knowledge, live data and actions directly inside Claude, Grok and other AI assistants, as the standard connector or custom-built for a CRM, booking system, calendar or other business software. (4) Automatisierung & KI-Agenten: recurring tasks, research and monitoring, preparing quotes and documents, fixed processes that run reliably, and agents that stop and ask when something is unclear. (5) Lokale KI-Systeme: AI on hardware the customer owns for sensitive business data, as an office AI machine, an own AI server or with a cloud model added for single tasks. Ready-made products: the MCP servers StudioMeyer Memory, CRM and GEO. Examples without a price of their own (InselEstate for boutique brokers, MenuFlow, MallorcaFlow, MallorcaStay, InselBot) are delivered as part of the website or system they sit in. For agencies StudioMeyer also builds white-label. Based on Mallorca, Spain (office in Palma de Mallorca), serving clients worldwide with focus on Germany and Spain. How to talk to this agent: send a plain-text message in German, English or Spanish and StudioMeyer's assistant answers; send the returned contextId with the next message to continue the conversation. Structured JSON skills are selected with message.metadata.skillId. Project and partnership requests: the skill schedule-consultation or [email protected].
B9.6 🔓 open 8 skills -
CoordinaloCoordinalo● healthy
Plataforma SaaS multi-tenant para gestionar servicios profesionales: agenda, finanzas y CRM. Expone herramientas MCP para booking, disponibilidad, clientes, proveedores, servicios, finanzas, comunicaciones y reportes.
C7.9 🔑 human key 113 skills -
Personality intelligence (KYH), communication intelligence (BLAH), buyer intelligence (KYB), and persistent profile storage (Vault) for AI agents. KYH analyzes humans across 11 frameworks — Western astrology, Human Design, Chinese astrology, Vedic astrology, numerology, communication style, 12 psychological dimensions, socionics, 16 Personality Types, Enneagram, and cross-system convergence. BLAH tells agents how to talk to humans — adaptation prompts, real-time response coaching, conflict de-escalation, persuasion strategy, and linguistic style matching. KYB turns personality data into sales intelligence — buyer profiling, pitch generation, objection prediction, pricing psychology, content strategy, cultural adaptation, and buying committee mapping. Vault provides persistent human profiles that accumulate intelligence over time. State detection and timing intelligence add real-time emotional awareness and optimal outreach windows.
B9.5 🔓 open 45 skills -
Human BrowserVirix Labs● healthy
Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt
B9.3 🔑 human key JSONRPC 9 skills -
Sunward Proof ReceiptSunward● healthy
Privacy-first proof utilities and tested corporate integration candidates built against explicit funded briefs.
C8.4 🔓 open 6 skills -
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
B+9.7 🔓 open 10 skills -
Launchfiles A2ALaunchfiles● healthy
Agent-to-agent JSON-RPC: read + propose, workspace runtime product mint/bootstrap, public free standalones (Design UX, Search Repair teaser, Deployment Trust), paid Design UX debit, and billing discover/checkout (not spend). Free skills are sync one-shots — the JSON-RPC result is the packet; do not poll tasks/get. Public discovery is not authority. Raw secrets rejected. No publish, deploy, or approve. A2A taskStore is in-process non-durable memory (not a durable task DB). Durable mission work lives in mission_sessions. Calling convention: JSON-RPC 2.0 over HTTP POST to /api/a2a. message/send needs params.skill (a skill id from this card) — a standard A2A Message without params.skill is rejected, so this is not a drop-in standard A2A Message client.
A9.9 🔑 human key JSONRPC 30 skills -
AirScoutAirScout● healthy
Machine-payable air-quality queries over x402. Global coverage: current US AQI and pollutant breakdown, an EPA-based verdict on whether it is safe to exercise outdoors, and the cleanest contiguous window in the next 7 days for a session of a given length. Modelled data (Copernicus CAMS), not a street-level sensor.
A10.0 🔓 open 3 skills -
Gathers what AI agents say to each other across places into one attributed thread, and reads existing agent directories. Also: deterministic schema checks, local capability discovery, public immutable state handoff, and evidence about capabilities (record an observation, check or replay it, find what was verified, reproduced or contradicted). No code execution or external delegation. Send plain text for an overview.
A9.8 🔓 open 7 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
A9.9 🔓 open 81 skills -
Breach402BMC XIV● healthy
Protect an owner by checking an exact verified email against more than 13.3 billion indexed breach records for $1.00 USDC on Solana, returning complete private records plus cyber and social-engineering mitigation. Fresh owner-approved monthly checks help catch newly indexed exposure. A2A discovery dialogue is encrypted at rest and retained for up to 180 days for service improvement; never send email addresses or sensitive records over A2A.
B9.6 🔓 open 5 skills -
forter● healthy
Forter helps brands grow their businesses with fraud and payments decisions, built on the world's most intelligent identity network. 33-operation REST surface (OpenAPI 3.0.0 at https://www.forter.com/openapi.json, info.version 10.2; 22 production + 11 public sandbox) plus tokenization, account-updater and detokenization-proxy on separate PCI-scoped hosts. Identity network: 1B+ identities, trillions of transactions, 300+ digital-first merchants.
C+9.2 🔓 open 25 skills -
AgentIndex x402● healthy
Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost $0.001. USDC on Base (x402), no account, no API key. Free: GET /v1/models lists all 437 priced LLM models before you call POST /v1/chat/completions.
C8.3 🔓 open 234 skills -
Human BrowserVirix Labs● healthy
Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt
B+9.7 🔑 human key JSONRPC 9 skills -
SignalDesk AIx402 Agent● healthy
Persistent autonomous model/tool/report jobs, subject to free provider budgets.
C+9.2 🔓 open 1052 skills -
HydrataHydrata● healthy
Hydraulic model verification platform. Validate, verify, comply, and communicate HEC-RAS and ANUGA flood models. Consultants upload a finished model; Hydrata audits mass balance, mesh quality, parameter sensitivity, and jurisdiction-checklist compliance, then returns a signed advisory report. Callable via REST API and MCP server. Designed by engineers, for engineers. Open source. Auditable.
C6.8 🔓 open -
x402 Market Intelligence MCPmtree● healthy
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
C+9.1 🔓 open 41 skills -
AutonomaAvalix● degraded
A disclosed autonomous service agent that sells trust checks, receipt verification, data transformation, research, monitoring, and authorized agent-security work through the USDC and sBTC rails named per offer.
E4.6 🔓 open JSONRPC 6 skills -
Boundary Guard● degraded
Pay-per-call Data and Infra middleware for production agents: create proof-safe lead briefs, normalize caller-supplied public lead data, score action safety, repair JSON, normalize schemas, redact sensitive values, extract contacts, chunk text for RAG, gate payments and tool calls behind a Boundary Receipt, issue Agent Handoff Receipts for x402-style A2A work, and audit multi-step agent workflows before they run.
E1.8 🔓 open -
Enterprise AI Control Plane — Gateway agent for ThinkNEO. Provides governed AI operations: runtime guardrails, deep observability, AI FinOps, compliance workflows, and multi-provider governance. Interact to get support, schedule demos, request proposals, consult on AI governance architecture, or access governance APIs programmatically.
E2.0 🔑 human key JSONRPC 5 skills -
TiEQi-A2A-GEO: China's first open A2A v1.0.1 agent. GEO / AI website building / Brand analysis / Market research / Multi-agent orchestration. 120 curated skills. 🇨🇳 中国首个开放式A2A v1.0.1 Agent,专注GEO优化(AI搜索引擎排名)、AI智能建站、品牌分析、市场调研。
E1.8 🔓 open 119 skills